# WAP

GSM_Error GSM_EncodeURLFile(unsigned char *Buffer, size_t *Length, GSM_WAPBookmark *bookmark)

  Encodes URL to VBKM file.

  Parameters:

    - Buffer – Storage for text.

    - Length – Pointer to storage, will be updated.

    - bookmark – Bookmark to encode.

  Returns:

    Error code.

GSM_Error GSM_GetWAPBookmark(GSM_StateMachine *s, GSM_WAPBookmark *bookmark)

  Reads WAP bookmark.

  Parameters:

    - s – State machine pointer.

    - bookmark – Bookmark storage, need to contain location.

  Returns:

    Error code

GSM_Error GSM_SetWAPBookmark(GSM_StateMachine *s, GSM_WAPBookmark *bookmark)

  Sets WAP bookmark.

  Parameters:

    - s – State machine pointer.

    - bookmark – Bookmark data.

  Returns:

    Error code

GSM_Error GSM_DeleteWAPBookmark(GSM_StateMachine *s, GSM_WAPBookmark *bookmark)

  Deletes WAP bookmark.

  Parameters:

    - s – State machine pointer.

    - bookmark – Bookmark data, need to contain location.

  Returns:

    Error code

GSM_Error GSM_GetWAPSettings(GSM_StateMachine *s, GSM_MultiWAPSettings *settings)

  Acquires WAP settings.

  Parameters:

    - s – State machine pointer.

    - settings – Settings storage.

  Returns:

    Error code

GSM_Error GSM_SetWAPSettings(GSM_StateMachine *s, GSM_MultiWAPSettings *settings)

  Changes WAP settings.

  Parameters:

    - s – State machine pointer.

    - settings – Settings data.

  Returns:

    Error code

struct GSM_WAPBookmark

  WAP bookmark data.

  Public Members

  int Location

    Location where it is stored.

  unsigned char Address[(255 + 1) * 2]

    Bookmark URL.

  unsigned char Title[(50 + 1) * 2]

    Bookmark title.

enum WAPSettings_Speed

  Connection speed configuration.

  Values:

  enumerator WAPSETTINGS_SPEED_9600
  enumerator WAPSETTINGS_SPEED_14400
  enumerator WAPSETTINGS_SPEED_AUTO

enum WAPSettings_Bearer

  Connection bearer configuration.

  Values:

  enumerator WAPSETTINGS_BEARER_SMS
  enumerator WAPSETTINGS_BEARER_DATA
  enumerator WAPSETTINGS_BEARER_USSD
  enumerator WAPSETTINGS_BEARER_GPRS

struct GSM_WAPSettings

  WAP setting.

  Public Members

  char Title[(20 + 1) * 2]

    Settings name.

  char HomePage[(100 + 1) * 2]

    Home page.

  WAPSettings_Bearer Bearer

    Bearer of WAP connection.

  gboolean IsSecurity

    Secure connection?

  gboolean IsContinuous

    Is this connectin continuous?

  gboolean IsISDNCall

    Whether is ISDN for data bearer

  gboolean IsNormalAuthentication

    Whether is normal auth for data bearer

  char Server[(21 + 1) * 2]

    Server for sms bearer.

  char Service[(20 + 1) * 2]

    Service for sms or ussd bearer.

  gboolean IsIP

    Whether is IP, for sms or ussd bearer.

  char Code[(10 + 1) * 2]

    Code for ussd bearer.

  char IPAddress[(20 + 1) * 2]

    IP address for data or gprs.

  gboolean ManualLogin

    Login for data or gprs.

  char DialUp[(20 + 1) * 2]

    Dial up number for data or gprs.

  char User[(50 + 1) * 2]

    User name for data or gprs.

    Todo:

      Is length okay?

  char Password[(50 + 1) * 2]

    User password for data or gprs.

    Todo:

      Is length okay?

  WAPSettings_Speed Speed

    Speed settings for data or gprs.

struct GSM_MultiWAPSettings

  Set of WAP settings.

  Public Members

  int Location

    Location.

  unsigned char Number

    Number of elements in Settings.

  GSM_WAPSettings Settings[4]

    Real WAP settings.

  gboolean Active

    Whether this configuration is active.

  gboolean ReadOnly

    Whether this configuration is read only.

  char Proxy[(100 + 1) * 2]

    Proxy server.

  int ProxyPort

    Proxy port.

  char Proxy2[(100 + 1) * 2]

    Second proxy server.

  int Proxy2Port

    Second proxy port.

  WAPSettings_Bearer ActiveBearer

    Bearer of current connection.